The Annex VIII (Art. 49) EU database registration extract for an LLM gateway
curl --request GET \
--url https://api.dev.swarmd.ai/registry/v1/llm-gateways/{llmGatewayId}/governance/annex-viii \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dev.swarmd.ai/registry/v1/llm-gateways/{llmGatewayId}/governance/annex-viii"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dev.swarmd.ai/registry/v1/llm-gateways/{llmGatewayId}/governance/annex-viii', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subjectType": "AGENT",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"riskTier": "UNCLASSIFIED",
"operatorRole": "PROVIDER",
"status": "<string>",
"statusBasis": "<string>",
"applicableSections": [
"<string>"
],
"sectionA": [
{
"item": "<string>",
"label": "<string>",
"value": "<unknown>",
"source": "<string>",
"missing": true
}
],
"sectionB": [
{
"item": "<string>",
"label": "<string>",
"value": "<unknown>",
"source": "<string>",
"missing": true
}
],
"sectionC": [
{
"item": "<string>",
"label": "<string>",
"value": "<unknown>",
"source": "<string>",
"missing": true
}
],
"missingCount": 123
}Governance
The Annex VIII (Art. 49) EU database registration extract for an LLM gateway
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | AUDIT | READ | AUDIT:READ |
GET
/
registry
/
v1
/
llm-gateways
/
{llmGatewayId}
/
governance
/
annex-viii
The Annex VIII (Art. 49) EU database registration extract for an LLM gateway
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Path Parameters
Response
200 - */*
OK
Available options:
AGENT, MCP_SERVER, LLM_GATEWAY Available options:
UNCLASSIFIED, OUT_OF_SCOPE, MINIMAL, LIMITED, HIGH_RISK_EXEMPT, HIGH_RISK, PROHIBITED Available options:
PROVIDER, DEPLOYER, BOTH Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
